//
// ********************************************************************
// * License and Disclaimer                                           *
// *                                                                  *
// * The  Geant4 software  is  copyright of the Copyright Holders  of *
// * the Geant4 Collaboration.  It is provided  under  the terms  and *
// * conditions of the Geant4 Software License,  included in the file *
// * LICENSE and available at  http://cern.ch/geant4/license .  These *
// * include a list of copyright holders.                             *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
#ifndef CorsoRivelatore_H   //istruzioni di precompilazione
#define CorsoRivelatore_H 1 // ci assicura che il file sarà incluse
                            // solo una volta

class G4LogicalVolume; // predefinizione delle classi, ci assicurano che 
class G4VPhysicalVolume; // non avremo errori di compilazione

#include "G4VUserDetectorConstruction.hh"

class CorsoRivelatore : public G4VUserDetectorConstruction
{
  public:

  CorsoRivelatore(); // costruttore
  ~CorsoRivelatore(); // distruttore

  G4VPhysicalVolume* Construct(); // metodo che restituisce un puntatore
                                  // ad un volume fisico (il mondo)

  private:
  // membri privati

    // Logical volumes
    //
    G4LogicalVolume* pezzo_log; 
  

    // Physical volumes
    //
    G4VPhysicalVolume* pezzo_phys; // definizione dei volumi fisici

  
};

#endif

