//
// ********************************************************************
// * License and Disclaimer                                           *
// *                                                                  *
// * The  Geant4 software  is  copyright of the Copyright Holders  of *
// * the Geant4 Collaboration.  It is provided  under  the terms  and *
// * conditions of the Geant4 Software License,  included in the file *
// * LICENSE and available at  http://cern.ch/geant4/license .  These *
// * include a list of copyright holders.                             *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.  Please see the license in the file  LICENSE  and URL above *
// * for the full disclaimer and the limitation of liability.         *
// *                                                                  *
// * This  code  implementation is the result of  the  scientific and *
// * technical work of the GEANT4 collaboration.                      *
// * By using,  copying,  modifying or  distributing the software (or *
// * any work based  on the software)  you  agree  to acknowledge its *
// * use  in  resulting  scientific  publications,  and indicate your *
// * acceptance of all terms of the Geant4 Software license.          *
// ********************************************************************
//
//
// GEANT4 tag $Name: geant4-08-01-patch-01 $
//
// 
//
// ExN01PhysicsList
//  Construct/define particles and physics processes
//
//  Particle defined in ExampleN01
//    geantino
//
//  Process defined in ExampleN01
//    transportation
//

#ifndef CorsoRivelatorePhysics_h
#define CorsoRivelatorePhysics_h 1

#include "G4VUserPhysicsList.hh"
#include "globals.hh"

class CorsoRivelatorePhysics: public G4VUserPhysicsList // classe figlia di G4VUserPhysicsList
{
  public:
    CorsoRivelatorePhysics();
    ~CorsoRivelatorePhysics();

  protected:
    // Construct particle and physics process
  void ConstructParticle(); // metodi virtuali, significa che ci sono come definizione, ma non esiste un codice
  void ConstructProcess(); // che ne determina il funzionamento, dobbiamo noi creare questo codice
  void SetCuts();          // dobbiamo costruire le particelle, definire i processi, impostare i tagli di range
  //protected: // metodi non modificabili
  void ConstructGeneral();
  void ConstructEM();
  
};

#endif







